register = {}

function register.registerSpecializationVehicle(vehicleType, specialization, specName)
    --print("-----register specialization to vehicleType : ".. vehicleType.name)
    table.insert(vehicleType.specializationNames, specName)
    vehicleType.specializationsByName[specName] = specialization
    table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('harvesterAttachment', 'harvesterAttachment', 'HarvesterAttachment',  Utils.getFilename("Script/harvesterAttachment.lua", g_currentModDirectory))

if  g_vehicleTypeManager.vehicleTypes.baseAttachable ~= nil then
    register.registerSpecializationVehicle(g_vehicleTypeManager.vehicleTypes.baseAttachable, HarvesterAttachment, 'harvesterAttachment')
end
